% for monitored_node in sorted(monitored_nodes):
<%
    auto_updates_enabled = (
        monitored_node.has_any_bundle(['apt', 'c3voc-addons'])
        or (
            monitored_node.has_bundle('pacman')
            and monitored_node.metadata.get('pacman/unattended-upgrades/is_enabled', False)
        )
    )
%>\
%  if auto_updates_enabled:
object ScheduledDowntime "unattended_upgrades" {
    host_name = "${monitored_node.name}"

    author = "unattended-upgrades"
    comment = "Downtime for upgrade-and-reboot of node ${monitored_node.name}"

    fixed = true

    ranges = {
% if monitored_node.has_bundle('pacman'):
        "${days[monitored_node.metadata.get('pacman/unattended-upgrades/day')]}" = "${monitored_node.metadata.get('pacman/unattended-upgrades/hour')}:${monitored_node.magic_number%30}-${monitored_node.metadata.get('pacman/unattended-upgrades/hour')}:${(monitored_node.magic_number%30)+30}"
% else:
        "${days[monitored_node.metadata.get('apt/unattended-upgrades/day')]}" = "${monitored_node.metadata.get('apt/unattended-upgrades/hour')}:${monitored_node.magic_number%30}-${monitored_node.metadata.get('apt/unattended-upgrades/hour')}:${(monitored_node.magic_number%30)+30}"
% endif
    }

    child_options = "DowntimeTriggeredChildren"
}
%   endif
% endfor
